返回顶部

收藏

Catch several exceptions

更多
class MyError: pass

def oops():
    raise MyError()

def doomed():
    try:
        oops()
    except IndexError:
        print 'caught an index error!'
    except MyError, data:
        print 'caught error:', MyError, data
    else:
        print 'no error caught...'

if __name__ == '__main__':
    doomed()

标签:Python,基础

收藏

0人收藏

支持

0

反对

0

相关聚客文章
  1. Adoo 发表 2012-05-02 09:12:00 Python 基础入门笔记(4)
  2. Adoo 发表 2012-05-03 08:05:00 Python 基础入门笔记(5)
  3. 博主 发表 2014-12-04 13:10:51 Python标识符、保留字符
  4. learnhard 发表 2014-01-09 05:57:05 [原创]Python基础知识小结(1)
  5. itxuye 发表 2015-09-10 14:54:08 python基础入门的坑
  6. 博主 发表 2010-06-22 08:57:00 Python 爬虫基础
  7. the5fire 发表 2016-10-13 13:11:04 Python基础看完了?来两本进阶书
  8. 田俊 发表 2015-04-28 15:16:07 (6)一起用python之基础篇——数据结构
  9. 博雅塔之子 发表 2016-05-10 14:04:00 Python基础 - 博雅塔之子
  10. 田俊 发表 2015-04-28 15:16:24 (5)一起用python之基础篇——numpy
  11. 博主 发表 2017-01-03 08:28:00 Python - virtualenv 基础使用
  12. 博主 发表 2015-03-11 16:00:00 Python学习笔记-基础篇

发表评论